"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.contextInjectionMiddleware = void 0;
const invoker_1 = require("../invoker");
const contextInjectionMiddleware = () => {
    return async (ctx, next) => {
        const header = ctx.headers;
        const tcbContext = (0, invoker_1.extractTCBContextFromHeader)(header);
        const wechatContext = (0, invoker_1.extractWeChatContextFromHeader)(header);
        const headersWithoutContext = (0, invoker_1.removeAllContextHeaders)(header);
        const httpEvent = {
            url: ctx.URL.toString(),
            httpMethod: ctx.method,
            headers: headersWithoutContext
        };
        ctx.state.eventType = 'http';
        ctx.state.timestamp = new Date().toISOString();
        ctx.state.tcbContext = tcbContext;
        ctx.state.wechatContext = wechatContext;
        ctx.httpContext = httpEvent;
        await next();
    };
};
exports.contextInjectionMiddleware = contextInjectionMiddleware;
//# sourceMappingURL=context.js.map